=== debian/changelog ===
libad9361 (0.1-4) unstable; urgency=medium

  * Adopt package, update Vcs

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Sep 2017 20:41:48 -0400

libad9361 (0.1-3) unstable; urgency=medium

  * update to 6027674

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 15:51:20 -0400

libad9361 (0.1-2) unstable; urgency=medium

  * update to faa8556

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 28 Apr 2016 00:12:24 -0400

libad9361 (0.1-1) unstable; urgency=medium

  * Initial upload to Debian (closes: #814039)
  * Sponsor libad9361 for Paul Cercueil
  * Update to 3.0 (quilt)
  * Add no-op watch file

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 07 Feb 2016 16:23:10 -0500

libad9361 (0.1) unstable; urgency=low

  * Initial release.

 -- Paul Cercueil <paul.cercueil@analog.com>  Wed, 29 Jul 2015 14:46:52 +0200
