=== bindings/matlab/CMakeLists.txt ===
install (FILES ad9361-wrapper.h DESTINATION include)
