=== debian/changelog ===
libad9361 (0.2-1) unstable; urgency=medium

  * New upstream release
  * update to v0.2-8-ge7bb5cd
  * make the documentation reproducible (Closes: #922520)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 14 Aug 2019 21:13:06 -0400

libad9361 (0.1-5) unstable; urgency=medium

  * update to b98b1cd

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 07 Apr 2018 21:03:18 -0400
