=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: cmake (>= 2.8),
-               debhelper (>= 9),
-               libiio-dev,
+Build-Depends: cmake,
+               debhelper (>= 12),
+               libiio-dev (>=0.14),
                pkg-config
-Standards-Version: 4.1.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/analogdevicesinc/libad9361-iio
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libad9361.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libad9361.git
+Vcs-Browser: https://salsa.debian.org/debian/libad9361
+Vcs-Git: https://salsa.debian.org/debian/libad9361.git
 
 Package: libad9361-0
 Architecture: any
